Subject: Re: bug#30349: 27.0.50; Cuonfusing documentation about pipe processes

From: Noam Postavsky <[email-masked]>
Date: Tue, 6 Feb 2018 11:44:53 -0500

On Tue, Feb 6, 2018 at 11:31 AM, Basil L. Contovounesios
<[email-masked]> wrote:

>>>> > ":buffer BUFFER -- BUFFER is the buffer (or buffer-name) to associate
>>>> > with the process.  Process output goes at the end of that buffer,
>>>> > unless you specify an output stream or filter function to handle the
>>>> > output."
>>>> >
>>>> > => How do you specify an output stream?
>>>>
>>>> I don't think there is such a thing.  That phrase seems to have been
>>>> copied across all the make-*-process functions.
>>>
>>> And is wrong in all of them?
>>
>> I think so.
>>
>>> Could it be that the phrase originally meant shell-style redirection?
>>
>> Perhaps, but none of those functions support that, as far as I know.
>
> No relation to '(elisp) Output Streams'?

I don't see anything in the process code that would be able to take an
Elisp stream.